#ifndef TIMER_HPP
#define TIMER_HPP

#ifdef __APPLE__
#include <SDL/SDL.h>
#else
#include <SDL.h>
#endif

//taken from http://lazyfoo.net/SDL_tutorials/lesson13/index.php

const int FRAMES_PER_SECOND = 30;

class Timer
{
public:
  Timer();
  void start();
  void stop();
  void pause();
  void unpause();
  int get_ticks();
  bool is_started();
  bool is_paused();
private:
  int startTicks;
  int pausedTicks;
  bool paused;
  bool started;
};



#endif /* TIMER_HPP */
