#ifndef CUTSCENE_HPP
#define CUTSCENE_HPP

#include "Engine/engine.hpp"
#include "engineinstance.hpp"
#include "entities.hpp"

class CutScene_State {
public:
  int intstate;
  GLfloat tx;
  GLfloat ty;
  GLfloat tz;
  GLfloat xrot;
  GLfloat yrot;
  GLfloat zrot;
  Wife wife;
  Boss boss;
  Lover lover;
  Dildo dildo[3];
  GLfloat hidecounter;
  CutScene_State():intstate(0),tx(0),ty(0),tz(0),xrot(0),yrot(0),zrot(0),hidecounter(0){};
};

class CutScene: public EnginePart {
public:
  void reset();
  CutScene(const SubengineInterface* subengines, Global_Variables* p_global_variables);
  ~CutScene();
protected:
  int input(const SDL_Event& event);
  int logic();
  void draw();
private:
  CutScene_State* state;
  Global_Variables* global_variables;
  void drawCutBars();
  void dildodraw();
  void setCamera();
};

#endif /* CUTSCENE_HPP */
