#ifndef TITLEPART_HPP
#define TITLEPART_HPP

#include "Engine/engine.hpp"
#include "globals.hpp"

class Title_State {
public:
  int intstate;
  bool language;
  Title_State():intstate(0),language(0){};
};

class TitlePart: public EnginePart {
public:
  void reset();
  TitlePart(const SubengineInterface* subengines, Global_Variables* p_global_variables);
  ~TitlePart();
protected:
  int input(const SDL_Event& event);
  int logic();
  void draw();
private:
  Title_State* state;
  Global_Variables* global_variables;
};

#endif /* TITLEPART_HPP */
